package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/4
 */
@Data
public class JsonModel implements Serializable {
    /**
     * 状态码
     */
    private int code;
    /**
     * 提示信息
     */
    private String msg;
    /**
     * 返回的数据
     */
    private Object data;

    public JsonModel() {
    }

    public JsonModel(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public JsonModel(Integer code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public static JsonModel newInstance() {
        JsonModel jsonModel = new JsonModel();
        return jsonModel.success();
    }

    public JsonModel success() {
        this.code = 0;
        this.msg = "操作成功";
        return this;
    }

    public JsonModel success(Object data) {
        this.code = 0;
        this.msg = "操作成功";
        this.data = data;
        return this;
    }

    public JsonModel success(String msg, Object data) {
        this.code = 0;
        this.msg = msg;
        this.data = data;
        return this;
    }

    public JsonModel success(int code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
        return this;
    }

    public JsonModel error() {
        this.code = -1;
        this.msg = "操作失败";
        return this;
    }

    public JsonModel error(String msg) {
        this.code = -1;
        this.msg = msg;
        return this;
    }

    public JsonModel error(int code, String msg) {
        this.code = code;
        this.msg = msg;
        return this;
    }

    public JsonModel error(int code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
        return this;
    }

    @Override
    public String toString() {
        return "JsonModel{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                ", data=" + data +
                '}';
    }

    private static final long serialVersionUID = 1L;
}
