package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/5/7
 */
@Data
public class Payment implements Serializable {

    /**
     * 支付金额，单位分，必须大于2
     */
    private Integer payAmount;

    /**
     * 支付方式，
     * 银联：UNIONPAY，
     * 微信：WEIXIN，
     * 支付宝：ALIPAY
     */
    private String payWay;

    /**
     * 支付类型(现阶段主要是区分微信支付)
     * 微信小程序支付: MINIAPP_WEIXIN
     * 微信公众号支付: JSAPI_WEIXIN
     */
    private String payType;

    /**
     * 银行编码(银联支付使用)
     */
    private String bankCode;

    /**
     * 用户类型(银联支付使用)
     * 企业：ENTERPRISE
     * 个人：USER
     */
    private String userType;

    /**
     * 页面回调地址
     */
    private String returnUrl;

    /**
     * 微信小程序code,微信小程序支付使用
     */
    private String code;

    /**
     * 主订单id
     */
    private Integer orderId;

    /**
     * 微信支付使用
     */
    private String openid;

    /**
     * 异步通知回调
     */
    private String notifyUrl;

    /**
     * 微信公众号state参数
     */
    private String state;

    /**
     * 二手发布商品id
     */
    private Integer productId;
}
